.class public Lcom/tcn/tools/lang/CustomButtonHelper;
.super Lskin/support/widget/SkinCompatHelper;
.source "CustomButtonHelper.java"


# instance fields
.field private mTextBackgroundResId:I

.field private mTextContentResId:I

.field private mTextHeightResId:I

.field private mTextHintResId:I

.field private mTextMarginEndResId:I

.field private mTextSizeResId:I

.field private mTextTextColorResId:I

.field private mTextWidthResId:I

.field final mView:Landroid/widget/TextView;


# direct methods
.method public constructor <init>(Landroid/widget/TextView;)V
    .locals 1

    .line 36
    invoke-direct {p0}, Lskin/support/widget/SkinCompatHelper;-><init>()V

    const/4 v0, 0x0

    .line 16
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextContentResId:I

    .line 17
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextSizeResId:I

    .line 19
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHintResId:I

    .line 21
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHeightResId:I

    .line 22
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextWidthResId:I

    .line 23
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextMarginEndResId:I

    .line 24
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextBackgroundResId:I

    .line 25
    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextTextColorResId:I

    .line 37
    iput-object p1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    return-void
.end method

.method private applyTextContentResource()V
    .locals 3

    .line 75
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextContentResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextContentResId:I

    if-eqz v0, :cond_1

    .line 77
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextContentResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 78
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_0

    .line 79
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_0

    .line 81
    :cond_0
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextContentResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    .line 84
    :cond_1
    :goto_0
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextSizeResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextSizeResId:I

    if-eqz v0, :cond_3

    .line 86
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextSizeResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinSize(Landroid/content/Context;I)I

    move-result v0

    if-eqz v0, :cond_2

    .line 88
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    int-to-float v0, v0

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setTextSize(F)V

    goto :goto_1

    .line 90
    :cond_2
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextSizeResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getDimensionPixelSize(I)I

    move-result v1

    int-to-float v1, v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setTextSize(F)V

    .line 93
    :cond_3
    :goto_1
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHintResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHintResId:I

    if-eqz v0, :cond_5

    .line 95
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHintResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 96
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_4

    .line 97
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_2

    .line 99
    :cond_4
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHintResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    .line 103
    :cond_5
    :goto_2
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHeightResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHeightResId:I

    if-eqz v0, :cond_7

    .line 105
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHeightResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 106
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_6

    .line 107
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_3

    .line 109
    :cond_6
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHeightResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    .line 112
    :cond_7
    :goto_3
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextWidthResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextWidthResId:I

    if-eqz v0, :cond_9

    .line 114
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextWidthResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 115
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_8

    .line 116
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_4

    .line 118
    :cond_8
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextWidthResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    .line 121
    :cond_9
    :goto_4
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextMarginEndResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextMarginEndResId:I

    if-eqz v0, :cond_b

    .line 123
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextMarginEndResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 124
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_a

    .line 125
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_5

    .line 127
    :cond_a
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextMarginEndResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    .line 130
    :cond_b
    :goto_5
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextBackgroundResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextBackgroundResId:I

    if-eqz v0, :cond_d

    .line 132
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextBackgroundResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 133
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_c

    .line 134
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_6

    .line 136
    :cond_c
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextBackgroundResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    .line 139
    :cond_d
    :goto_6
    iget v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextTextColorResId:I

    invoke-static {v0}, Lcom/tcn/tools/lang/CustomButtonHelper;->checkResourceId(I)I

    move-result v0

    iput v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextTextColorResId:I

    if-eqz v0, :cond_f

    .line 141
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    iget v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextTextColorResId:I

    invoke-static {v0, v1}, Lcom/tcn/tools/lang/SkinUtil;->getSkinText(Landroid/content/Context;I)Ljava/lang/String;

    move-result-object v0

    .line 142
    invoke-static {v0}, Landroid/text/TextUtils;->isEmpty(Ljava/lang/CharSequence;)Z

    move-result v1

    if-nez v1, :cond_e

    .line 143
    iget-object v1, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v1, v0}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    goto :goto_7

    .line 145
    :cond_e
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v1

    invoke-virtual {v1}, Landroid/content/Context;->getResources()Landroid/content/res/Resources;

    move-result-object v1

    iget v2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextTextColorResId:I

    invoke-virtual {v1, v2}, Landroid/content/res/Resources;->getText(I)Ljava/lang/CharSequence;

    move-result-object v1

    invoke-virtual {v0, v1}, Landroid/widget/TextView;->setText(Ljava/lang/CharSequence;)V

    :cond_f
    :goto_7
    return-void
.end method

.method public static create(Landroid/widget/TextView;)Lcom/tcn/tools/lang/CustomButtonHelper;
    .locals 2

    .line 28
    sget v0, Landroid/os/Build$VERSION;->SDK_INT:I

    const/16 v1, 0x11

    if-lt v0, v1, :cond_0

    .line 29
    new-instance v0, Lcom/tcn/tools/lang/CustomButtonHelper;

    invoke-direct {v0, p0}, Lcom/tcn/tools/lang/CustomButtonHelper;-><init>(Landroid/widget/TextView;)V

    return-object v0

    .line 31
    :cond_0
    new-instance v0, Lcom/tcn/tools/lang/CustomButtonHelper;

    invoke-direct {v0, p0}, Lcom/tcn/tools/lang/CustomButtonHelper;-><init>(Landroid/widget/TextView;)V

    return-object v0
.end method


# virtual methods
.method public applySkin()V
    .locals 0

    .line 152
    invoke-direct {p0}, Lcom/tcn/tools/lang/CustomButtonHelper;->applyTextContentResource()V

    return-void
.end method

.method public loadFromAttributes(Landroid/util/AttributeSet;I)V
    .locals 3

    .line 42
    iget-object v0, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mView:Landroid/widget/TextView;

    invoke-virtual {v0}, Landroid/widget/TextView;->getContext()Landroid/content/Context;

    move-result-object v0

    .line 44
    sget-object v1, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper:[I

    const/4 v2, 0x0

    invoke-virtual {v0, p1, v1, p2, v2}, Landroid/content/Context;->obtainStyledAttributes(Landroid/util/AttributeSet;[III)Landroid/content/res/TypedArray;

    move-result-object p1

    .line 45
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_text:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_0

    .line 46
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_text:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextContentResId:I

    .line 48
    :cond_0
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_textSize:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_1

    .line 49
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_textSize:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextSizeResId:I

    .line 51
    :cond_1
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_hint:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_2

    .line 52
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_hint:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHintResId:I

    .line 55
    :cond_2
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_layout_height:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_3

    .line 56
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_layout_height:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextHeightResId:I

    .line 58
    :cond_3
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_layout_width:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_4

    .line 59
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_layout_width:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextWidthResId:I

    .line 61
    :cond_4
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_layout_marginEnd:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_5

    .line 62
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_layout_marginEnd:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextMarginEndResId:I

    .line 64
    :cond_5
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_background:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_6

    .line 65
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_background:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextBackgroundResId:I

    .line 67
    :cond_6
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_textColor:I

    invoke-virtual {p1, p2}, Landroid/content/res/TypedArray;->hasValue(I)Z

    move-result p2

    if-eqz p2, :cond_7

    .line 68
    sget p2, Lcom/tcn/tools/R$styleable;->SkinButtonContentHelper_android_textColor:I

    invoke-virtual {p1, p2, v2}, Landroid/content/res/TypedArray;->getResourceId(II)I

    move-result p2

    iput p2, p0, Lcom/tcn/tools/lang/CustomButtonHelper;->mTextTextColorResId:I

    .line 70
    :cond_7
    invoke-virtual {p1}, Landroid/content/res/TypedArray;->recycle()V

    .line 71
    invoke-virtual {p0}, Lcom/tcn/tools/lang/CustomButtonHelper;->applySkin()V

    return-void
.end method
